Revoke survey by ID
curl --request POST \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys/{surveyId}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys/{surveyId}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys/{surveyId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"surveyName": "Employee Device Survey",
"description": "Survey to understand device usage",
"status": "draft",
"category": "device_ownership",
"targetType": "employees",
"questions": [],
"deliveryEnableEmail": true,
"deliveryEnableSlack": false,
"isScheduleLaunch": false,
"scheduledLaunchAt": null,
"deadlineAt": null,
"destinationType": "resource_holder",
"createdAt": "2026-09-15T10:06:24.085Z",
"updatedAt": "2026-09-15T10:06:24.085Z",
"totalTargets": 5,
"totalResponses": 3
}Surveys
Revoke survey by ID
Revoke a specific survey by its ID. This will set the survey status to revoked and prevent further responses. Only launched, published, or completed surveys can be revoked.
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
surveys
/
{surveyId}
/
revoke
Revoke survey by ID
承認
レスポンス
Survey successfully revoked
例:
1
例:
"Employee Device Survey"
例:
"Survey to understand device usage"
利用可能なオプション:
draft, published, launched, completed, revoked 例:
"draft"
例:
"device_ownership"
利用可能なオプション:
employees, devices, services, services_by_identities, devices_by_identities 例:
"employees"
Show child attributes
Show child attributes
例:
[]
例:
true
例:
false
例:
false
例:
null
例:
null
利用可能なオプション:
resource_holder, holder_manager 例:
"resource_holder"
例:
"2026-09-15T10:06:24.085Z"
例:
"2026-09-15T10:06:24.085Z"
例:
5
例:
3
最終更新日 2026年9月15日
このページは役に立ちましたか?

